Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.net
Class Message

    java.lang.Object
      org.apache.cassandra.net.Message

    public class Message

extends java.lang.Object

Constructor Summary
`Message(java.net.InetAddress from, java.lang.String messageType, StorageService.Verb verb, byte[] body)`

Method Summary
`java.net.InetAddress` | `getFrom()`
`byte[]` | `getHeader(java.lang.Object key)`
`byte[]` | `getMessageBody()`
`java.lang.String` | `getMessageId()`
`java.lang.String` | `getMessageType()`
`Message` | `getReply(java.net.InetAddress from, byte[] args)`
`StorageService.Verb` | `getVerb()`
`static org.apache.cassandra.net.MessageSerializer` | `serializer()`
`void` | `setHeader(java.lang.String key, byte[] value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Message

    public Message(java.net.InetAddress from,
                   java.lang.String messageType,
                   StorageService.Verb verb,
                   byte[] body)

Method Detail

### serializer

    public static org.apache.cassandra.net.MessageSerializer serializer()

### getHeader

    public byte[] getHeader(java.lang.Object key)

### setHeader

    public void setHeader(java.lang.String key,
                          byte[] value)

### getMessageBody

    public byte[] getMessageBody()

### getFrom

    public java.net.InetAddress getFrom()

### getMessageType

    public java.lang.String getMessageType()

### getVerb

    public StorageService.Verb getVerb()

### getMessageId

    public java.lang.String getMessageId()

### getReply

    public Message getReply(java.net.InetAddress from,
                            byte[] args)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation